/*function Alerta(elemento){
Estrellas = [elemento.sum];
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};

};*/
/// ///////// ///OBJETO NARRADOR ///////////////////////////////
  TIC.Narrador = (function(){
	  function Narrador(element, options){this.init(element, options);}
  
	  Narrador.prototype = {
		  init: function(element, options){
			  this.contador = 0;
			  this.element = element;
			  this.options = options;
  
			  var me = this;
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });

//////////////////////////////////////////////////////////////////////////////////////			  
//////////////////click para cuando el test es el final de la diapo///////////////////			  		  		  
this.clickFinal = function(){	
$(".next").hide();
$(".relleno").show();
if($('input:radio[name=options]').is(':checked')){
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	

$(".pantalla").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
$(".next_url").css({"margin-top":"-8%"});
me.solve(idRespuesta,idTest);  
//me.sendData(idRespuesta, ActCode);
pintar_test(idRespuesta, ActCode, idTestGral);
pintar_estrellas_scorm();
}else { 
$(".next").hide();
$(".relleno").show(); 
$(".prev").hide();
me.showAlert();
} 
}; //// fin clickFinal
//////////////////////////////////////////////////////////////////////////////////////

/////////////////////////Controla el boton "Comprobar de los test"///////////////////////////////////////////
this.clickControlar = function(){	
$(".next").show();
$(".prev").show();
$(".relleno").hide();
if($('input:radio[name=options]').is(':checked')){
var idRespuesta = $('input:radio[name=options]:checked').val();	
var idTest =$('input:radio[name=options]:checked').attr('id');	
me.solve(idRespuesta,idTest);  
//me.sendData(idRespuesta, ActCode);
pintar_test(idRespuesta, ActCode, idTestGral);
pintar_estrellas_scorm();
}else { 
$(".next").hide();
$(".relleno").show(); 
$(".prev").hide(); 
me.showAlert();
} 
}; //// fin clickControlar
//////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////
this.clickEnlace = function(){
var id_enlace = parseInt(this.id.substring(1));
me.muestra_enlace(id_enlace);
};//// fin clickEnlace

//////////////////////////////////////////////////////////////////////////////////////
this.clickBoton = function(){   
var id_boton = parseInt(this.id.substring(4));
me.muestra(id_boton);
};//// fin clickBoton		
this.clickBoton2 = function(){  				
var id_boton = parseInt(this.id.substring(4));
me.muestra(id_boton);
}					
						 
this.clickCerrar = function(){
$(".pop_up_container").hide();
};  //// fin clickCerrar

this.clickController = function(){
$("#0").css({"background-image":"url(img/bot-si-hover.png)"})
}; //// fin clickController

this.clickController2 = function(){
$("#1").css({"background-image":"url(img/bot-no-hover.png)"})
};//// fin clickController2		
																			 
$(".indice").on('click',function(){
var indice= TIC.Indice[0].texto;
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});//// fin indice
				  
/////////////////Hace la llamada al numero de estrellas (apoyándose en  Alerta)//////////////////////
$(".progress").on('click',function(){
//me.getData("Alerta","OAM03_");
me.Alerta();
$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
});
this.showSlide();
},//// fin progress

sendData: function(idRespuesta){ 
createNewActivityScore(ActCode,idRespuesta);
},
getData: function(ActCode){  
getActivityScore("Alerta","OAM03_");
},
Alerta: function(){
if (mm_adl_API != null)
{
//alert();	
mm_adl_API.LMSInitialize("");

porcentaje = mm_adl_API.LMSGetValue("cmi.core.score.raw");
//alert(porcentaje)
if(porcentaje=='') {
var Estrellas=0;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};	
}else{
	
var porcentaje = Math.round((porcentaje / 100 ) * 13);
Estrellas = porcentaje;
var stars= TIC.Stars[0];
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuaciÃ³n es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida:</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");

for(i=0; i<Estrellas; i++){
$("#star_"+i).addClass("stars_si")
};

	};
}

},	
								  
///Siguiente diapositiva
next: function(){
this.contador++;
$(".prev").show();
n_diapos = TIC.Diapositivas.length - 1;
if (this.contador == 0){
$(".prev").hide();
}
this.showSlide();
},
		  
///Diapositiva anterior
prev: function(){
this.contador--;
this.showSlide();
$(".next").show();
if(this.contador == 0){
$(".prev").hide();
}
this.showSlide();
},
		  
//// AQUI DEFINIMOS LAS PANTALLAS TIPO ////////////////				  
showSlide: function(){
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
		  
			  $(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
			 // alert(tipo);
			  switch(tipo){
				  
				case "intro":
					this.showIntro();
					break;
				case "guia":
					this.showGuia();
					break;  		
				case "secuencia":
					this.showSecuencia();
					break;				
				case "boton":
					this.showBoton();
					break;
				case "boton_2":
					this.showBoton2();
					break;				
				case "diapo":
					this.showDiapo();
					break;
				case "test":
					this.showTest();
					break;
				case "true":
					this.showTrue();
					break;
				case "fin":
					  this.showFin();
					  break;											
			}
},
////FIN PANTALLAS TIPO ////////////////


////Tipo Secuencia
 showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			//var number = TIC.Secuencia[orden].number;
			$(".secuencia").html("<div class='string'><h4>"+secuencia+"</h4><div><img src='img/movil-08.png'><button class='next2'></button><p>Pulsa para continuar</p>");
$("#pizarra").on('click', '.next2', function(){
				 me.next();
});
},

////Tipo Guia
showGuia: function(){
$(".guia").html(" <article class='temario primero'><div class='col_izquierda menu'><h5>Te damos la bienvenida al Objeto de Aprendizaje Multimedia (OAM) de <span class='cursiva'>Sexting</span>.</h5><p>Para estudiar los contenidos de esta unidad didáctica de una forma fácil e interactiva, te presentamos algunas cuestiones importantes:</p><h5>Tu esfuerzo y dedicación tienen premio <br><img src='img/estrella.png'><img src='img/estrella.png'><img src='img/estrella.png'></h5><p>A lo largo de la unidad te realizaremos algunas preguntas sobre el contenido y los casos que se presentan. Por cada pregunta contestada correctamente conseguirás un premio en forma de estrella. Intenta conseguir todas las que puedas, teniendo en cuenta que sólo tendrás un intento para contestar cada pregunta.</p></div><div class='col_derecha'><img src='img/elige-tu-ruta.png' style='float:right;width:20%;height:auto;position:relative;bottom:.5em;'><h5>Elige tu ruta de aprendizaje</h5><p>Parte de los contenidos se presentan a través de casos prácticos que ilustran situaciones relacionadas con el riesgo TIC que abordamos.</p><p>Dependiendo de tu interés, podrás elegir por etapa educativa (es decir, entre primaria y secundaria) y por entorno (escolar o  familiar). Y aunque podrás ver todos los casos e itinerarios, para conseguir estrellas tan solo se tendrá en cuenta el primero que elijas; es decir, se contabiliza tu primera opción.</p><figure style='margin:1.2em 0 0;max-width:100%'><img src='img/guia-didactica-botones.jpg'></figure></div></article>")
				  
				  $(".next").hide();
				  $(".relleno").show();
				 $(".prev").hide();
				  
				  
				 $(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				
				
				 $(".next_url").css({"position":"absolute","right":"0","top":"100%","left":"95%","width":"5%"})
},

///Tipo Intro
 showIntro: function(){
				 var orden = TIC.Diapositivas[this.diapo.id].n_orden_intro;
				 var titulo_curso = TIC.Inicio[orden].title;
				 var frases_refuerzo = TIC.Inicio[orden].frases;
				 var imagen = TIC.Inicio[orden].imagen;
				 var cadenaHtml = "";

				  $(".relleno").show();
$(".intro").html("<div class='col_parcial3'>"+titulo_curso+"</div><div class='logo'><img src='img/logo.png'></div>");		
},

//Tipo diapo
showDiapo: function(){
			   $(".next").show();
			  $(".prev").show();
			  $(".relleno").hide();
			  
			  

			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			  var orden_secuencia = TIC.Diapositivas[this.diapo.id].secuencia;  
			  var contenido = TIC.Contenidos_narrador[orden];
			  var end = contenido.end;
			  var secuencia = TIC.Secuencia[0].secc;
			  var img_narrador = TIC.Contenidos_narrador[orden].img_narrador;

$(".primero").html("<h1>"+secuencia+"</h1>");
			  
			 
			 
			 $(".diapo").html("<div class='bubble'>"+contenido.texto+"</div><div class='narrador'><img src='img/"+contenido.img_narrador+".png'/></div>");
			 
			 if (img_narrador == ""){
				  
			 $(".diapo").html("<div id='scrollable'><div class='bubble'>"+contenido.texto+"</div></div>")
			  $(".bubble").addClass("plus");
			};
			if (end == "end"){
			$(".next").hide();	
			$(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				};
				if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};
					 
$("#pizarra").on('click', 'a.enlace', this.clickEnlace);

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.bubble').text().length;
//alert(palabras);
if (palabras >= 900){
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});		
	
};/////////////fin palabras scroll /////////////////
},

//Tipo V/F
showTrue: function(){
				 
				  $(".next").hide();
				  $(".prev").hide();
				  $(".relleno").show();
				  
				  $("#pizarra").on('click', '#1', this.clickController2);
				  $("#pizarra").on('click', '#0', this.clickController);
				  
				  $(".reiniciar").hide();	
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				  var orden_diapo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				  var contenido = TIC.Contenidos_narrador[orden_diapo];
				  var cadenaHtml = "";
				  var end = TIC.Test[orden].end;
				  
				
				 
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				   var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
				   var opciones = TIC.Test[orden].opciones;
				   ActCode = opciones[0][3];
                   idTestGral = opciones[0][4];
				
					   cadenaHtml += "<div id='borrar_input"+j+"'><label for='op_test_"+j+"' id='"+j+"'><input value='"+ j + "' id='op_test_"+ j + "' name='options' type='radio' style='display:none;'>" + opciones[j][1]+"</label></div>"
					  
					  }
				  cadenaHtml = "<ul class='op_test'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
				
				  $(".col_izquierda").addClass("frases");
				  $(".primero").append("<h1>"+secuencia+"</h1>");	
				  $(".col_izquierda").html("<img src='img/movil-05-2.png' style='top:17%;width:28%;left:4%'/>"+contenido.texto+"");
				  $(".col_derecha").html("<h3>"+preguntas+"</h3><div class='pregunta-01 bounceInUp'>"+cadenaHtml+"</p><input type='button' id='boton' class='comprobar-01' value='Comprobar'><div class='explain2'></div>");
				  $(".explain2").addClass("oculto");
				
$("#0").addClass("si");
$("#1").addClass("no");

if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};

if (end == "end"){
	 			  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton1' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto");
				  $(".comprobar-01").addClass("small");
				  $("#pizarra").on('click', '#boton1', this.clickFinal);
					};
					
$("#pizarra").on('click', '#boton', this.clickControlar);
}, 
			  
//Tipo Test
showTest: function(){
$(".next").hide();
$(".prev").hide();
$(".relleno").show();
				  
						  
				  var number = TIC.Secuencia[0].number;
				  var secuencia = TIC.Secuencia[0].secc;
				  var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				  var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				  var opciones = TIC.Test[orden].opciones;
				  var preguntas = TIC.Test[orden].preguntas;
				  var contenido = TIC.Contenidos_narrador[orden_dialogo];
				  var cadenaHtml = "";
				  var end = TIC.Test[orden].end;
				   
				  $(".primero").append("<h1>"+secuencia+"</h1>");
					  
			  for(j=0; j<opciones.length; j++){
				   var orden = TIC.Diapositivas[this.diapo.id].n_orden_test;
				   var orden_dialogo = TIC.Diapositivas[this.diapo.id].n_orden_dialogo;
				   var opciones = TIC.Test[orden].opciones;
				    ActCode = opciones[0][3];
                     idTestGral = opciones[0][4];
						
					  cadenaHtml += "<li><input value='"+ opciones[j][2] + "' id='"+ j + "' name='options' type='radio'><label for='"+j+"'>" + opciones[j][1]+"</label></li>"
					  
					  }
				  cadenaHtml = "<ul class='radio_options'><form name='formulario' id='formulario'>" + cadenaHtml + "</form></ul>";
				 
				 
				  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto")
				 $(".comprobar-01").addClass("small");

if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};
	
if (end == "end"){
				  	
	 			  $(".test").addClass("temario");
				  $(".test").html("<div class='col_completa indent primero'><h3>"+preguntas+"</h3>"+cadenaHtml+"<input type='button' id='boton1' class='comprobar-01' value='Comprobar'></div><div class='explain cont_explain'></div>");
				  $(".explain").addClass("oculto");
				  $(".comprobar-01").addClass("small");
				  $("#pizarra").on('click', '#boton1', this.clickFinal);////cuando el test es la ultima diapo///cliclfinal
					};
								
	$("#pizarra").on('click', '#boton', this.clickControlar);

puntos_scom(idTestGral);
				  
		  }, 		  

//Tipo Botón	
showBoton: function(){
	$(".next").show();
	$(".relleno").hide();
			  contador2=0;
			  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
			  var orden_enlace = TIC.Diapositivas[this.diapo.id].n_orden_enlace;	
			  var botones = TIC.Boton[orden].texto;
			  var end = TIC.Boton[orden].end;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
			  $(".primero").append("<h1>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			  
			
$(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml);  
$(".col_derecha").html("<h5 class='encabezado'></h5><div id='scrollable'><p class='plus'><img src='img/"+imagen+".png'/>"+mensaje+"</figure></p></div>");

if (end == "end"){
			$(".next").hide();	
			$(".pizarra").append("<input type='button' id='sin_fondo' value='' visibility='hidden'  onclick='newDoc()'><label for='sin_fondo'><p class='next_url'></p></label>");
				};


if (this.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};

$("#pizarra").on('click', 'a.enlace', this.clickEnlace);				

},
//Tipo Botón2	
		  showBoton2: function(){
			  contador2=0;
			  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
			  var orden_enlace = TIC.Diapositivas[this.diapo.id].n_orden_enlace;	
			  var botones = TIC.Boton[orden].texto;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";

$(".relleno").hide();

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_question'>"+cadenaHtml+"</ul>"			
			  $(".primero").append("<h1>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			
			  $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+"<figure class='abajo_izquierda'>");
			  
			  if(imagen == "none"){
				   $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+mensaje);
				    $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton2);
				  }
			  
			  $(".col_derecha").html("<h5 class='encabezado'></h5><div class='texto_abajo_derecha'></div><img src='img/"+imagen+".png'/>"+mensaje+"</figure>")
			  
			  
			  if (botones == "?"){
				  $(".boton_2").html("<div class='menu temario'><h3>"+intro+"</h3>"+cadenaHtml+"</div><div class='texto_abajo_derecha'></p>");
					$(".menu_question a").addClass("question");
				   $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton2);
				  }
			  

		  
		$("#pizarra").on('click', 'a.enlace', this.clickEnlace);		  


  
			
		  },
//Tipo Fin
showFin: function(){
			 var me = this; 
			
			  $(".next").hide();
			  $(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			$(".fin").html("<div class='string'><h4>Fin del objeto de aprendizaje</h4><div classs='centrado'><img src='img/movil-08.png'><p><span class='cursiva'>Sexting</span></p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },			  

/////////////////////////fin de las pantallas tipo/////////////////////////////////////////////
/////////////////////////////////            ///////////////////////////////////////////////////
////////////////////////////////             ///////////////////////////////////////////////////


///////////////////////////////////////////	  
// funcion para "resolver" los Tests
solve: function(idRespuesta, idTest){
	
$(".preguntas").hide();
$(".explain").html("");	
			
			  var me = this;
			  var number = 		TIC.Secuencia[0].number;
			  var secuencia = 	TIC.Secuencia[0].secc;
			  var orden = 		TIC.Diapositivas[this.diapo.id].n_orden_test;
			  var opciones = TIC.Test[orden].opciones[0];  
			  var feedback = TIC.Test[orden].feedback;		  	
			  var pulsada = opciones[orden];
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
			 	

$(".explain").removeClass("oculto");		
$(".explain2").removeClass("oculto");		
$(".explain").css({"top":"55%","left":"0","width":"100%", "height":"45%","color":"#fff","font-size":"1.2em"});
$(".explain2").css({"top":"40%","left":"-121%","width":"232%", "height":"63%","color":"#fff"});
$(".explain").html( feedback[idTest]);
$(".explain2").html( feedback[idRespuesta]);
$("#boton").hide();	

if (me.contador == 1){
	$(".prev").hide();
	$(".relleno").show();
	};

 },




//funcion para mostrar Botones
muestra: function(id_boton){
var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
var plus = TIC.Boton[orden];
var encabezado = TIC.Boton[orden];
var img_plus = TIC.Boton[orden];

//$(".menor").css({"opacity":"0"});			 
$(".encabezado").html(encabezado.texto[id_boton]);
$(".plus").html(""+plus.plus[id_boton]+"<img src='img/"+plus.img_plus[id_boton]+".png' width='100%'; />");
$(".texto_abajo_derecha").html(plus.plus[id_boton]);
$("#btn_"+id_boton+" a").css({"background":"#db9b5f"});

 if(plus.img_plus[id_boton] == ""){
$(".plus").html(plus.plus[id_boton]);
};

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.plus').text().length;
//alert(palabras);
if (palabras >= 900){
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});		
$(".ftscroller_scrollbar").css({"transform":"translate3d(0, 0, 0)"});	
$(".ftscroller_y").css({"transform":"translate3d(0, 0, 0)"});
$(".ftscroller_hwaccelerated").css({"transform":"translate3d(0, 0, 0)"});
};/////////////fin palabras scroll /////////////////


/*if (this.contador == 9){
	alert(palabras);
if (palabras >= 800){
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});		


	
};/////////////fin palabras scroll /////////////////	
	
	}*/


},

		 
		  
showAlert: function(){
$(".pop_up_container").fadeIn();
$(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
}, 
		  
muestra_enlace: function(id_enlace){
var mas_info = TIC.Pop[id_enlace].texto; 
$(".pop_up_container").show();
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);

//////////////////////////palabras / scroll /////////////////////////
var palabras = $('.pop_up').text().length;
var altura = $('.pop_up').css("height");
var altura0 = "400px";
//alert(altura);
//alert(palabras);
if ( (palabras >= 600) && (altura >= altura0) ){
//alert(palabras);
$(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");	
var scroller = new FTScroller(document.getElementById('scrollable'), {
scrollingX: false
});	
$(".ftscroller_scrollbar").css({"transform":"translate3d(0, 0, 0)"});	
$(".ftscroller_y").css({"transform":"translate3d(0, 0, 0)"});
$(".ftscroller_hwaccelerated").css({"transform":"translate3d(0, 0, 0)"});
};/////////////fin palabras scroll /////////////////

$(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
},			  
}	
	  
	  return Narrador;
  }());
  
  
  function newDoc() {
    window.location.assign(url)
}